Closed Bug 1216446 Opened 4 years ago Closed 4 years ago

[Aries KK][Add-ons]There is no warning icon and system warning string in add-ons installation page.

Categories

(Firefox OS Graveyard :: Gaia::System::System UI, defect, P3)

ARM
Gonk (Firefox OS)
defect

Tracking

(blocking-b2g:2.5+, b2g-v2.5 verified, b2g-master verified)

VERIFIED FIXED
blocking-b2g 2.5+
Tracking Status
b2g-v2.5 --- verified
b2g-master --- verified

People

(Reporter: qiutian, Assigned: rakhavan)

References

Details

(Keywords: late-l10n, Whiteboard: [systemsfe])

Attachments

(11 files, 4 obsolete files)

423.33 KB, text/plain
Details
1.91 MB, video/3gpp
Details
3.12 MB, application/pdf
Details
46 bytes, text/x-github-pull-request
mikehenrty
: review+
yzen
: review+
Details | Review
84.18 KB, image/png
amylee
: ui-review-
Details
242.49 KB, application/pdf
Details
2.17 KB, image/svg+xml
Details
46 bytes, text/x-github-pull-request
Details | Review
165.28 KB, image/png
Details
1.38 MB, video/3gpp
Details
1.64 MB, video/3gpp
Details
Attached file logcat_war.txt
[1.Description]:
[Aries KK][v2.5][Settings]Launch Settings app and select Add-ons, tap "Get More add-ons" button, try to install all add-ons, there is no warning icon and system warning string.
Found Time:10:44
See attachments: logcat_war.txt and  Aries_v2.5_war.3gp


[2.Testing Steps]: 
1. Launch Settings app 
2. Tap Add-ons 
3. Tap "Get More add-ons" button 
4. Try to install all add-ons.

[3.Expected Result]: 
In step 4, the screen should contain install warning icon and system warning strings.

[4.Actual Result]: 
In step 4, all of the add-ons in add-on list don't hava warning icon and system warning string.


[5.Reproduction build]: 
Aries KK v2.5(Affected)
Build ID               20151019150205
Gaia Revision          a87f947366c2e044bd6336e1982419ac45378969
Gaia Date              2015-10-19 15:22:08
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/9605da94e75d61598d3c00f01a12d1b6bc427a6c
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151019.182947
Firmware Date          Mon Oct 19 18:29:58 EDT 2015
Bootloader             L1TC000118D0


[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
16674

[8. Note]:
1. There is no response when you tap add button in "Add-ons" view on Flame KK v2.5 build.
2. Contrast TCID: 16714, TCID: 16715 and TCID: 16675, whether it is enable safe mode or normal mode, warning icon and system warning string always absence.
Attached video Aries_v2.5_war.3gp
QA Whiteboard: [COM=Add-on]
[Blocking Requested - why for this release]:
Mismatch with UX spec
blocking-b2g: --- → 2.5?
Note, the '+' button not working is bug 1212918.

The installation message should be according to spec.
blocking-b2g: 2.5? → 2.5+
Component: Gaia::Settings → Gaia::System::System UI
Whiteboard: [systemsfe]
(In reply to Michael Henretty [:mhenretty] from comment #5)
> here's the link to the spec:
> 
> https://drive.google.com/drive/folders/0B-
> CK_pGGzS6AfmpMYVc1eC1qLWc2NnN4bkZHejJsTEtsQndEVzdyeTR4QnBxd1BDU1FCUU0

The open folder can no longer be viewed.
The folder that you were viewing no longer exists or you no longer have permission to access it. You have been moved to My Drive.

Would be nice if there were view permission, unless this is confidental.
I requested access there a few hours ago. Still cannot get in.

Actually, since this seems to be a spec can't it just be made viewable for everyone?
Attached file [ux spec] Add-ons v1.3
Sorry Adrian. I agree, google docs is not a very open solution. We were just being lazy. Here it is.
Note to Reza, it looks like bug 1218282 is going to be quickly, so we should be able to test your solution against Marketplace soon.
(In reply to Michael Henretty [:mhenretty] from comment #9)
> Created attachment 8678825 [details]
> [ux spec] Add-ons v1.3
> 
> Sorry Adrian. I agree, google docs is not a very open solution. We were just
> being lazy. Here it is.

Thanks!
Priority: -- → P3
The solution we want to use longer term for that is to have a webextension permission for addons that want to inject scripts in gaia default apps, and rely on the review process. I'm not sure why we need this UX, which is very much like asking vague permission questions to the user.

Also tying the solution to something specific to the marketplace in bug 1218282 is not ideal either.
Comment on attachment 8679363 [details] [review]
[gaia] jedireza:addon-affects-system-warning > mozilla-b2g:master

I concur about needing a better long term solution for this.

Also pinging Yura for review so he knows about the duplication of the `MatchPattern` code.
Attachment #8679363 - Flags: review?(yzenevich)
Attachment #8679363 - Flags: review?(mhenretty)
Let's get a visual review too. Eric, can you have a look?
Attachment #8679803 - Flags: ui-review?(epang)
Comment on attachment 8679363 [details] [review]
[gaia] jedireza:addon-affects-system-warning > mozilla-b2g:master

Put some comments on github. Overall LGTM.
Attachment #8679363 - Flags: review?(mhenretty) → review+
Comment on attachment 8679363 [details] [review]
[gaia] jedireza:addon-affects-system-warning > mozilla-b2g:master

Can we please use the match pattern from shared now in settings as well and remove the original one that was residing in settings. I can r+ after that and will happily take a look at Settings changes. Thanks
Flags: needinfo?(rakhavan)
Attachment #8679803 - Flags: ui-review?(epang) → ui-review?(amlee)
Comment on attachment 8679803 [details]
[screenshot] intallation warning

Hi, 

I'm attaching a PDF of my visual edits. Thanks!
Attachment #8679803 - Flags: ui-review?(amlee) → ui-review-
Attached file ConfirmationScreenEdits.pdf (obsolete) —
Visual edits for confirmation screen
Attachment #8680205 - Attachment is obsolete: true
Attached file Alert_Icon_SVG.zip (obsolete) —
Alert icon svg
Comment on attachment 8680220 [details]
Alert_Icon_SVG.zip

Thanks Amy. Can I get one svg asset or a set of png images?
Flags: needinfo?(amlee)
Comment on attachment 8679363 [details] [review]
[gaia] jedireza:addon-affects-system-warning > mozilla-b2g:master

Yura, all set and ready for you to take another look.

I've removed the match pattern stuff from settings and used the shared version. I tested on my device to ensure I'm still seeing the notices when disabling/uninstalling an addon that affects the system from settings. I also updated the the related addon manager settings tests to include the shared resource and ensured they're passing.

Tests in general are in good shape [1]. Please ignore the css lint error as I'm still mid-flight on the styling work.

[1] https://treeherder.mozilla.org/#/jobs?repo=gaia&revision=702847c5e1e62789a2f4b461ebc3abb07f8f9458
Flags: needinfo?(rakhavan)
Comment on attachment 8679363 [details] [review]
[gaia] jedireza:addon-affects-system-warning > mozilla-b2g:master

Settings changes look good to me. Thanks!
Attachment #8679363 - Flags: review?(yzenevich) → review+
Attached image Alert_Icon.svg (obsolete) —
Hi, 

I've attached an svg of the icon. Let me know if you need anything else.
Flags: needinfo?(amlee)
Attached image 2015-10-30-00-59-44.png (obsolete) —
Amy, here is the latest screen shot.

FYI: The alert icon seems smaller than your reference mock up. The icon is 3rem x 3rem (30px x 30px) as according to the spec you provided.
Attachment #8681067 - Flags: ui-review?(amlee)
On master:
https://github.com/mozilla-b2g/gaia/commit/17597b2ae2df6acfb31bdc67a70b28abbe1088ca

Amy, I merged this so we can get it in tomorrow's QA build. If there are any changes you'd like to see, feel free to add them to this bug.
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Attached image Alert_Icon_30x30.svg
Hi Reza, 

I had sized it based on the sizing we have for icon fonts. I'm attaching a 30x30 version of it to this bug. Thanks!
Attachment #8680220 - Attachment is obsolete: true
Attachment #8681011 - Attachment is obsolete: true
Reza, no need to get another code review to switch out the assets. You can land it in this bug too.
Blocks: 1220524
Comment on attachment 8682185 [details] [review]
[gaia] jedireza:system-addon-alert-icon > mozilla-b2g:master

On master:
https://github.com/mozilla-b2g/gaia/commit/0322547d4d213913747403bb4eb7bf819d2c6646
Attached image system-addon-alert.png
Here's the screen shots showing the expected icon size change. Thanks Amy.
Attachment #8681067 - Attachment is obsolete: true
Attachment #8681067 - Flags: ui-review?(amlee)
Hi Autumn,

  Could you please verify this bug? 

Thank you.
Flags: needinfo?(qiutian)
This bug has been verified as "pass" on the latest build of Aries KK v2.6 and Flame KK v2.6 512mb by the STR in comment 0.

Actual results: Try to install an add-ons, the screen contains install warning icon and system warning strings.

See attachment: Verified_Aries_KK_v2.6_add.3gp

Reproduce rate: 0/10

Device: Aries KK 2.6 (master)(Pass)
Build ID               20151104004249
Gaia Revision          61918ddd9ccce104c009e873e34a0791e125753a
Gaia Date              2015-11-03 17:22:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f742b9412ed5aace90ad863b276faae0641090a8
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151104.000116
Firmware Date          Wed Nov  4 00:01:24 UTC 2015
Bootloader             s1


Device: Flame KK 2.6 512mb (master)(Pass)
Build ID               20151103150203
Gaia Revision          61918ddd9ccce104c009e873e34a0791e125753a
Gaia Date              2015-11-03 17:22:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f742b9412ed5aace90ad863b276faae0641090a8
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151103.182550
Firmware Date          Tue Nov  3 18:26:03 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Flags: needinfo?(qiutian)
QA Whiteboard: [COM=Add-on] → [COM=Add-on][MGSEI-Triage+]
Keywords: verifyme
(In reply to Reza Akhavan [:jedireza] from comment #26)
> Created attachment 8681067 [details]
> 2015-10-30-00-59-44.png

"… button during start up until …"

Shouldn’t "start up" be spelled as "startup" or "start-up" (likely depending on US/GB English)?
Amy are you the right person to comment on the wording/grammar?
Flags: needinfo?(amlee)
(In reply to Reza Akhavan [:jedireza] from comment #37)
> Amy are you the right person to comment on the wording/grammar?

Hi Reza, 

I'm going to direct this to UX for feedback. Tiff, let me know if you have any input on this or redirect if needed. Thanks
Flags: needinfo?(amlee) → needinfo?(tshakespeare)
I'm going to ping J and see if she could help out - I'm not super involved in this area :-/
Flags: needinfo?(tshakespeare) → needinfo?(jsavory)
This bug has been verified as "pass" on the latest build of Aries KK v2.5 and Flame KK v2.5 512mb by the STR in comment 0.

Actual results: Try to install an add-ons, the screen contains install warning icon and system warning strings.

See attachment: Verified_Aries_KK_v2.5_add.3gp
Reproduce rate: 0/10

Device: Aries KK v2.5(Pass)
Build ID               20151107112205
Gaia Revision          577948202ae12154524a2bd2bd6d467838ad50b8
Gaia Date              2015-11-07 10:00:59
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/ae7b8b1fd9e1504347b938820f99d75058049386
Gecko Version          44.0a2
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151107.104119
Firmware Date          Sat Nov  7 10:41:27 UTC 2015
Bootloader             s1

Device: Flame KK v2.5 512MB(Pass)
Build ID               20151108004501
Gaia Revision          577948202ae12154524a2bd2bd6d467838ad50b8
Gaia Date              2015-11-07 10:00:59
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/ae7b8b1fd9e1504347b938820f99d75058049386
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151108.045623
Firmware Date          Sun Nov  8 04:56:35 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
Flags: needinfo?(jsavory)
You need to log in before you can comment on or make changes to this bug.